package com.fastbee.ggroup.service;

import java.util.List;
import com.fastbee.ggroup.domain.GSiteReservoirInfo;

/**
 * 水库站点基础信息Service接口
 * 
 * @author kerwincui
 * @date 2024-10-23
 */
public interface IGSiteReservoirInfoService 
{
    /**
     * 查询水库站点基础信息
     * 
     * @param id 水库站点基础信息主键
     * @return 水库站点基础信息
     */
    public GSiteReservoirInfo selectGSiteReservoirInfoById(Long id);

    /**
     * 查询水库站点基础信息列表
     * 
     * @param gSiteReservoirInfo 水库站点基础信息
     * @return 水库站点基础信息集合
     */
    public List<GSiteReservoirInfo> selectGSiteReservoirInfoList(GSiteReservoirInfo gSiteReservoirInfo);

    /**
     * 新增水库站点基础信息
     * 
     * @param gSiteReservoirInfo 水库站点基础信息
     * @return 结果
     */
    public int insertGSiteReservoirInfo(GSiteReservoirInfo gSiteReservoirInfo);

    /**
     * 修改水库站点基础信息
     * 
     * @param gSiteReservoirInfo 水库站点基础信息
     * @return 结果
     */
    public int updateGSiteReservoirInfo(GSiteReservoirInfo gSiteReservoirInfo);

    /**
     * 批量删除水库站点基础信息
     * 
     * @param ids 需要删除的水库站点基础信息主键集合
     * @return 结果
     */
    public int deleteGSiteReservoirInfoByIds(Long[] ids);

    /**
     * 删除水库站点基础信息信息
     * 
     * @param id 水库站点基础信息主键
     * @return 结果
     */
    public int deleteGSiteReservoirInfoById(Long id);
}
