package com.fastbee.ggroup.service;

import java.util.List;
import com.fastbee.ggroup.domain.GSiteSluiceInfo;

/**
 * 水闸基本信息Service接口
 * 
 * @author kerwincui
 * @date 2024-10-31
 */
public interface IGSiteSluiceInfoService 
{
    /**
     * 查询水闸基本信息
     * 
     * @param id 水闸基本信息主键
     * @return 水闸基本信息
     */
    public GSiteSluiceInfo selectGSiteSluiceInfoById(Long id);

    /**
     * 查询水闸基本信息列表
     * 
     * @param gSiteSluiceInfo 水闸基本信息
     * @return 水闸基本信息集合
     */
    public List<GSiteSluiceInfo> selectGSiteSluiceInfoList(GSiteSluiceInfo gSiteSluiceInfo);

    /**
     * 新增水闸基本信息
     * 
     * @param gSiteSluiceInfo 水闸基本信息
     * @return 结果
     */
    public int insertGSiteSluiceInfo(GSiteSluiceInfo gSiteSluiceInfo);

    /**
     * 修改水闸基本信息
     * 
     * @param gSiteSluiceInfo 水闸基本信息
     * @return 结果
     */
    public int updateGSiteSluiceInfo(GSiteSluiceInfo gSiteSluiceInfo);

    /**
     * 批量删除水闸基本信息
     * 
     * @param ids 需要删除的水闸基本信息主键集合
     * @return 结果
     */
    public int deleteGSiteSluiceInfoByIds(Long[] ids);

    /**
     * 删除水闸基本信息信息
     * 
     * @param id 水闸基本信息主键
     * @return 结果
     */
    public int deleteGSiteSluiceInfoById(Long id);
}
